# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "nutype_macros"
version = "0.4.3-beta.1"
authors = ["Serhii Potapov <blake131313@gmail.com>"]
description = "The newtype with guarantees."
homepage = "https://github.com/greyblake/nutype"
documentation = "https://docs.rs/nutype"
readme = "README.md"
keywords = [
    "newtype",
    "validation",
    "sanitization",
    "derive",
    "invariant",
]
categories = [
    "data-structures",
    "rust-patterns",
]
license = "MIT"
repository = "https://github.com/greyblake/nutype"

[lib]
proc-macro = true

[dependencies.cfg-if]
version = "1.0"

[dependencies.kinded]
version = "0.3.0"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.regex]
version = "1"
optional = true

[dependencies.syn]
version = "2.0"
features = [
    "extra-traits",
    "full",
]

[dependencies.urlencoding]
version = "2.0"

[features]
arbitrary = []
new_unchecked = []
schemars08 = []
serde = []
std = []
